/*
 * Class LINEAR [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_254 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_254 [] = {0xFF01,237,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_254 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_254 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_254 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_254 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_254 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_254 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_254 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_254 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_254 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_254 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_254 [] = {253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_254 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_254 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_254 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_254 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_254 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_254[] = {
	{EIF_GENERIC(NULL), 2272, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_254), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_254), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_254), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_254), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_254), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_254), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_254), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_254), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_254), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_254), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_254), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_254), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_254), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_254), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_254), 2271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_254), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_254), 2264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_254), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2266, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2270, 0xFFFFFFFF},
};
void Init254(void)
{
	IDSC(desc_254, 0, 253);
	IDSC(desc_254 + 1, 1, 253);
	IDSC(desc_254 + 32, 77, 253);
	IDSC(desc_254 + 41, 155, 253);
	IDSC(desc_254 + 50, 30, 253);
}


#ifdef __cplusplus
}
#endif
